#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta


class Replication(object):

    def _raise_err(self, str):
        raise self.err_cls('"' + self._(str) + '"' + self._(u' is required.'))

    def _is_null(self, field_name, null=""):
        if field_name in self.data.keys():
            if self.data[field_name] == null:
                return True
        return False

    def rule(self, data, err_cls, _):
        self.data = data
        self.err_cls = err_cls
        self._ = _

        if self.data.get("replication"):
            if self._is_null("repli_dest_host"):
                self._raise_err(u"Replication Destination Host")
            if self._is_null("repli_dest_share"):
                self._raise_err(u"Replication Destination Share")
            if self._is_null("repli_dest_passwd"):
                self._raise_err(u"Replication Destination Password")


rules = {
    "replication": Replication()}
